# OnTopic

Topic change on a channel

Parameters

    $0 = nickname
    $1 = username
    $2 = hostname
    $3 = new topic string

Window
Channel
Description

Triggered when a TOPIC message is received for a given channel.
The topic change has not been executed effectively in the current window so you can still access the old topic by the channel functions.
The new topic is passed as fourth parameter and will effectively become the current topic just after this event handler has been executed.
Sine this event is triggered in the chanel window, you can get the channel name by using the $target function.
Calling 'halt' in this event will stop the topic message output.

See also
OnMeJoin

Index, Events

KVIrc 3.2.0 Documentation
Generated by kris at Wed Oct 25 20:15:27 2006